Subject: Re: [PATCH v4] sctp: check the rto_min and rto_max

From: Wang Weidong <[email-masked]>
Date: Fri, 6 Dec 2013 18:36:45 +0800

On 2013/12/6 17:50, Daniel Borkmann wrote:
> On 12/06/2013 09:48 AM, Wang Weidong wrote:
> 
>> Should I define it in net/sctp/sctp.h, so sysctl.c can use it as well.
>> Or I just define it in the socket.c same as the definition in sysctl.c?
> 
> Preferably in include/net/sctp/constants.h where we already have most
> other constants anyway.
> 
> 
Hi Daniel,

in sysctl.c it will use a point to the value while the socket.c use the value.
So if I define macros SCTP_ONE or SCTP_TIMER_MAX in include/net/sctp/constants.h
which only used by socket.c. Is it OK?

Regards.
Wang